# v1.1
# Changes vs v1.0
# Coastline in black instead of white (ls 18 instead of ls 10)
# Option to set same colorbar range for all plots (see Line 51)
# Plot titles use satellite and num_satellites variables
#

reset

set grid
set autoscale x
set autoscale y
set terminal png size 1200,600

load './INPUT/gnuplot/parula.pal'

satellite = 'LSTM'
#num_satellites = '1 sat'
num_satellites = '2 sats'
#filename = './OUTPUT/output_map_statistics_data_LSTM.txt'
filename = './OUTPUT/output_map_statistics_data_LSTM_LSTM.txt'

graph = sprintf("%s - %s: Number of Acquisitions",satellite, num_satellites)
set title graph
set view map
set xrange[-180:180]
set yrange[-90:90]
set xlabel "Latitude [degrees]"
set ylabel "Longitude [degrees]"
set output "./OUTPUT/PLOTS/output_num_acq.png"
set key off

plot filename using 2:1:3 with points palette pt 5, \
"./INPUT/gnuplot/ne_110m_coastline.dat" using 1:2 notitle w l ls 10


graph = sprintf("%s - %s: Average Revisit Time",satellite, num_satellites)
set title graph
set view map
set xrange[-180:180]
set yrange[-90:90]
#set cbrange [0:4]
#set cbrange [0:2]
set xlabel "Latitude [degrees]"
set ylabel "Longitude [degrees]"
set output "./OUTPUT/PLOTS/output_avg_revisit.png"
set key off

plot filename using 2:1:(($6>-1)?$6:1/0) with points palette pt 5, \
"./INPUT/gnuplot/ne_110m_coastline.dat" using 1:2 notitle w l ls 18

graph = sprintf("%s - %s: Minimum Revisit Time",satellite, num_satellites)
set title graph
set view map
set xrange[-180:180]
set yrange[-90:90]
set xlabel "Latitude [degrees]"
set ylabel "Longitude [degrees]"
set output "./OUTPUT/PLOTS/output_min_revisit.png"
set key off

plot filename using 2:1:(($6>-1)?$4:1/0) with points palette pt 5, \
"./INPUT/gnuplot/ne_110m_coastline.dat" using 1:2 notitle w l ls 18

graph = sprintf("%s - %s: Maximum Revisit Time",satellite, num_satellites)
set title graph
set view map
set xrange[-180:180]
set yrange[-90:90]
set xlabel "Latitude [degrees]"
set ylabel "Longitude [degrees]"
set output "./OUTPUT/PLOTS/output_max_revisit.png"
set key off

plot filename using 2:1:(($6>-1)?$5:1/0) with points palette pt 5, \
"./INPUT/gnuplot/ne_110m_coastline.dat" using 1:2 notitle w l ls 18
